package cz.moneta.test.dsl.mwf.taxresidency;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.HashMap;
import java.util.Map;

public class MWFIL7Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();

    private MWFIL7Data() {}

    public static MWFIL7Data builder() {
        return new MWFIL7Data();
    }

    public MWFIL7Data rsItaxRsdncDic(String rsItaxRsdncDic) {
        params.put("RS_ITAX_RSDNC_DIC", rsItaxRsdncDic);
        return this;
    }

    public MWFIL7Data rsItaxRsdncCntryCode(String rsItaxRsdncCntryCode) {
        params.put("RS_ITAX_RSDNC_CNTRY_CODE", rsItaxRsdncCntryCode);
        return this;
    }

    public MWFIL7Data rsItaxRsdncValidFlag(String rsItaxRsdncValidFlag) {
        params.put("RS_ITAX_RSDNC_VALID_FLAG", rsItaxRsdncValidFlag);
        return this;
    }

    public MWFIL7Data rsItaxRsdncId(String rsItaxRsdncId) {
        params.put("RS_ITAX_RSDNC_ID", rsItaxRsdncId);
        return this;
    }

    public Map<String, Object> getParams() {
        return params;
    }

}